Bug 192403 - oobase crashes on record insert to a postgres db through ODBC
oobase crashes on record insert to a postgres db through ODBC
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2006-05-19 09:45 EDT by Todd Denniston
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-23 11:07:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
OpenOffice.org 64427 None None None Never
OpenOffice.org 64478 None None None Never

  None (edit)
Description Todd Denniston 2006-05-19 09:45:42 EDT
Description of problem:
When a record is inserted in a table that is accessed through ODBC and has a
primary key in it, if the PK is not filled in by the user oobase crashes.

Version-Release number of selected component (if applicable):
On a Fedora Core 4 system with the following versions:

How reproducible:

Steps to Reproduce:
Begin with a postgres database that has a single table (ptab).
The table has three fields, setup as follows:
    tadtest_id integer DEFAULT nextval('"ptab_tadtest_id_seq"'::text) NOT NULL,
    tadtest character varying(50),
    tadsecitem character varying(15)
tadtest_id is a SEQUENCEd number.
[I attached the following on the OOo bugzilla:
 a dump and script to load the database, .odbc.ini, and the
testingdb.odb I used. Also included my firstInsert.txt and
secondInsert.txt crash info files]

ODBC is setup with a .odbc.ini.

Method for problem replication:
1) oobase ~/testingdb.odb> firstInsert.txt 2>&1
2) select Tables
3) double click ptab
4) click in tadtest field
5) type "test"
6) press tab
7) type "test"
8) press enter
9) capture crash info.
10) oobase ~/testingdb.odb> secondInsert.txt 2>&1
11) click "start recovery"
12) select Tables
13) double click ptab
14) click in tadtest field for a new record (i.e. create record 2)
15) do steps 5-9 again
Actual results:

Expected results:
Be ready to work on the next record.

Additional info:
See files inserted in to the OOo bugzilla.
Comment 1 Todd Denniston 2006-05-19 10:17:27 EDT
Note that AFAIK the proposed fix (attached to OOo bz 64427) dba203c _May_ be in
OOo 2.0.3 acording to 

but any Fedora that has versions between openoffice.org-core- and the
OOo release 2.0.3 are probably affected by this bug as well. (should this bug be
cloned into FC5 and test/RawHide?)
Comment 2 Caolan McNamara 2006-05-23 11:07:42 EDT
It'd be nice to be able to backport all crash fixes to all supported releases,
but resources limit that to the most serious and widespread problems.

We'll pick it up in the 2.0.3 release in rawhide/fc6 onwards.

Note You need to log in before you can comment on or make changes to this bug.